ChangeSet 1.1523, 2003/12/09 15:41:57-08:00, stern@rowland.harvard.edu

[PATCH] USB: fix bug not setting device state following usb_device_reset()


 drivers/usb/core/hub.c |    1 +
 1 files changed, 1 insertion(+)


diff -Nru a/drivers/usb/core/hub.c b/drivers/usb/core/hub.c
--- a/drivers/usb/core/hub.c	Wed Dec 10 16:47:09 2003
+++ b/drivers/usb/core/hub.c	Wed Dec 10 16:47:09 2003
@@ -1345,6 +1345,7 @@
 			dev->devpath, ret);
 		return ret;
 	}
+	dev->state = USB_STATE_CONFIGURED;
 
 	for (i = 0; i < dev->actconfig->desc.bNumInterfaces; i++) {
 		struct usb_interface *intf = dev->actconfig->interface[i];
